> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Batch Payouts ( SUNSETTING )

> **This Endpoint is Sunsetting and you should use the stable endpoint.  Sunsetting APIs that are still supported but scheduled for deprecation.** This API retrieves a list of all batch payouts. The response provides details for each payout, including the total amount and relevant timestamps. Pagination options are available to efficiently manage large datasets.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/batch-payouts
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/batch-payouts:
    get:
      tags:
        - Payouts
        - Stable
      summary: Get All Batch Payouts ( SUNSETTING )
      description: >-
        **This Endpoint is Sunsetting and you should use the stable endpoint. 
        Sunsetting APIs that are still supported but scheduled for
        deprecation.** This API retrieves a list of all batch payouts. The
        response provides details for each payout, including the total amount
        and relevant timestamps. Pagination options are available to efficiently
        manage large datasets.
      operationId: 663e193fb79a925d1b026bc104649a11
      parameters:
        - name: start_date
          in: query
          description: Filter by start date (YYYY-MM-DD)
          required: false
          schema:
            type: string
            format: date
        - name: end_date
          in: query
          description: Filter by end date (YYYY-MM-DD)
          required: false
          schema:
            type: string
            format: date
        - name: sort_order
          in: query
          description: Sort order ('oldest' or 'newest')
          required: false
          schema:
            type: string
            enum:
              - oldest
              - newest
        - name: page
          in: query
          description: Page number for pagination
          required: false
          schema:
            type: integer
            example: 1
        - name: per_page
          in: query
          description: Number of records per page
          required: false
          schema:
            type: integer
            example: 10
      responses:
        '200':
          description: Batch payouts retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: ''
                  data:
                    properties:
                      batch_payouts:
                        type: array
                        items:
                          properties:
                            batch_payout_uuid:
                              type: string
                              format: uuid
                              example: 9bd53fe1-ac74-4e81-b6f2-be88b7c86a68
                            amount:
                              type: number
                              format: float
                              example: 10000
                            date:
                              type: string
                              format: date-time
                              example: '2024-04-18 01:00:20'
                            modality:
                              properties:
                                payment_rail:
                                  type: string
                                  example: fednow
                                speed:
                                  type: string
                                  example: instant
                              type: object
                          type: object
                      pagination:
                        properties:
                          current_page:
                            type: integer
                            example: 1
                          total_pages:
                            type: integer
                            example: 3
                          total_items:
                            type: integer
                            example: 30
                          per_page:
                            type: integer
                            example: 10
                        type: object
                    type: object
                  errors:
                    type: object
                    example: null
                    nullable: true
                  error_code:
                    type: object
                    example: null
                    nullable: true
                type: object
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Unknown parameters: per_page, sort_order'
                  errors:
                    type: object
                    additionalProperties:
                      type: string
                      example: Invalid value for per_page
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '404':
          description: Batch payouts not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Batch payout not found.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````